| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/poly3d.h File Reference

General 3D polygon. More...

`#include "csextern.h"`
`#include "csgeom/plane3.h"`
`#include "csgeom/vector3.h"`
`#include "csutil/dirtyaccessarray.h"`

Go to the source code of this file.

## Classes
struct | csCompressVertex
| This structure is used by csVector3Array::CompressVertices(). More...
class | csPoly3D
| The following class represents a general 3D polygon. More...
class | csVector3Array
| This is actually the same class as csPoly3D. More...
## Enumerations
enum | { CS_POL_SAME_PLANE = 0, CS_POL_FRONT = 1, CS_POL_BACK = 2, CS_POL_SPLIT_NEEDED = 3 }
| Values returned by csPoly3D::Classify. More...

## Detailed Description

General 3D polygon.

Definition in file poly3d.h.